> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Server

> This endpoint is used to update your dedicated server.

## Request

Send a `POST` request to below endpoint to update your dedicated server.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/qwen/update_server' \
```

## Body

```json json theme={null}
{ 
    "key": "enterprise_api_key"
}
```


## OpenAPI

````yaml POST /qwen/update_server
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Qwen API
  version: 1.0.0
  description: API for managing enterprise Qwen server operations.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /qwen/update_server:
    post:
      summary: 'Enterprise: Update Server Endpoint'
      description: >-
        This endpoint is used to update your dedicated server. As a response you
        will receive information about the result of the update command.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKey'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
        '401':
          description: Unauthorized - Invalid API Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        key:
          type: string
          description: Your API key
      required:
        - key
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: Operation completed successfully
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Error message

````